Support » Plugin: FP Foundation Assistant » Deprecated Message

  • Resolved ThemeAWESOME

    (@tsquez)


    Hi there,

    I just downloaded and installed your plugin locally. I know I put I use 4.5.3 but I am actually using beta version 4.6-RC1-38202 – This is my dev environment that I use to build themes and plugins to make sure they are version proof.

    After I installed your plugin I immediately got the following Deprecated messages:

    Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; tinymce_templates has a deprecated constructor in /Applications/MAMP/htdocs/forge/wp-content/plugins/fp-foundation-assistant/includes/class-fp-foundation-assistant-tinymce.php on line 13

    I just wanted to give you a heads up as 4.6 is coming out soon. You may want to fix that so it doesn’t appear when 4.6 comes out.

    https://wordpress.org/plugins/fp-foundation-assistant/

Viewing 6 replies - 1 through 6 (of 6 total)
  • I just tried using your plugin with a few themes that were not built with Foundation and I tried to use the plugin in a few test posts as well.

    When I switch themes I get the following:

    Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; tinymce_templates has a deprecated constructor in /Applications/MAMP/htdocs/forge/wp-content/plugins/fp-foundation-assistant/includes/class-fp-foundation-assistant-tinymce.php on line 13

    Warning: Cannot modify header information – headers already sent by (output started at /Applications/MAMP/htdocs/forge/wp-content/plugins/fp-foundation-assistant/includes/class-fp-foundation-assistant-tinymce.php:13) in /Applications/MAMP/htdocs/forge/wp-includes/pluggable.php on line 1174

    and when I try to publish a post or update a post I get the following:

    Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; tinymce_templates has a deprecated constructor in /Applications/MAMP/htdocs/forge/wp-content/plugins/fp-foundation-assistant/includes/class-fp-foundation-assistant-tinymce.php on line 13

    Warning: Cannot modify header information – headers already sent by (output started at /Applications/MAMP/htdocs/forge/wp-content/plugins/fp-foundation-assistant/includes/class-fp-foundation-assistant-tinymce.php:13) in /Applications/MAMP/htdocs/forge/wp-admin/post.php on line 197

    Warning: Cannot modify header information – headers already sent by (output started at /Applications/MAMP/htdocs/forge/wp-content/plugins/fp-foundation-assistant/includes/class-fp-foundation-assistant-tinymce.php:13) in /Applications/MAMP/htdocs/forge/wp-includes/pluggable.php on line 1174

    I also get this in the debug bar:

    WARNING: wp-admin/admin-header.php:9 – Cannot modify header information – headers already sent by (output started at /Applications/MAMP/htdocs/forge/wp-content/plugins/fp-foundation-assistant/includes/class-fp-foundation-assistant-tinymce.php:13)
    require_once(‘wp-admin/admin-header.php’), header

    Just a little info I thought you would like to know.

    Plugin Author fortpandemonium

    (@fortpandemonium)

    Thank you for the feedback. I’ll have a look and write back.

    Plugin Author fortpandemonium

    (@fortpandemonium)

    I have tested the plugin on the WP 4.6 beta version and it worked fine with PHP 5.6.19, however, when I switch to PHP 7.0.4, I received the error. This is due to PHP 4 style constructors being deprecated in PHP 7.0.x. More Info

    However, I couldn’t replicate the second error. I have tested the plugin on – twentysixteen, twentyfifteen and WP-Forge. I switched between them and both created and updated posts and pages.

    Given the fact that it comes from the same file, can you please download the updated version and tell me if the error persists? And if so on which themes it appeared?

    Thank you.

    Hmmmm, when I get home later I will definitely do that.

    In the mean time I suggest you install debug and turn on error logging in your wp-config.php file. This will show you any and all errors, just to help.

    Hey there, sorry for the late reply, got busy.

    I did install the latest version and all the messages I posted previously have disappeared. Good job 😉

    Plugin Author fortpandemonium

    (@fortpandemonium)

    Thank you again for the feedback and for downloading the plugin. Next update will probably be with the release of Foundation 6.2.4 later this month. I plan on expanding the functionality of the plugin so all ideas and comments are welcome.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Deprecated Message’ is closed to new replies.